For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTAuthorize payout
          • GETCapture payout
          • POSTCapture list of payouts
          • DELCancel payout
          • GETCancel payout (deprecated)
          • POSTCancel list of payouts
          • GETGet payout details
          • GETGet payout check image
          • PATCHUpdate check payment status
          • POSTReissue payout
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Out endpointsPayouts

Authorize payout

|View as Markdown|Open in Claude|
POST
/MoneyOut/authorize
POST
/api/MoneyOut/authorize
$curl -X POST https://api-sandbox.payabli.com/api/MoneyOut/authorize \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "entryPoint": "8cfec329267",
> "paymentMethod": {
> "method": "managed"
> },
> "paymentDetails": {
> "totalAmount": 47,
> "unbundled": false
> },
> "vendorData": {
> "vendorNumber": "VEN-123"
> },
> "invoiceData": [
> {
> "billId": 54323
> }
> ],
> "orderDescription": "Window Painting",
> "autoCapture": true
>}'
1{
2 "responseCode": 1,
3 "pageIdentifier": null,
4 "roomId": 0,
5 "isSuccess": true,
6 "responseText": "Success",
7 "responseData": {
8 "authCode": null,
9 "referenceId": "129-219",
10 "resultCode": 1,
11 "resultText": "Authorized",
12 "avsResponseText": null,
13 "cvvResponseText": null,
14 "customerId": 4440,
15 "methodReferenceId": null
16 }
17}
Authorizes a transaction for payout. If you don't pass `autoCapture` with a value of `true`, authorized transactions aren't flagged for settlement until captured. Use the `referenceId` returned in the response to capture the transaction. When `autoCapture` is `true`, Payabli captures the transaction asynchronously after authorization. The response confirms only that the transaction was authorized; it doesn't confirm that capture succeeded. To confirm capture, listen for the [`payout_transaction_approvedcaptured`](/developers/webhooks/payout-transaction-approved-captured) webhook event.
Was this page helpful?
Previous

Delete payment method domain

Next

Capture payout

Authorizes a transaction for payout.

If you don’t pass autoCapture with a value of true, authorized transactions aren’t flagged for settlement until captured. Use the referenceId returned in the response to capture the transaction.

When autoCapture is true, Payabli captures the transaction asynchronously after authorization. The response confirms only that the transaction was authorized; it doesn’t confirm that capture succeeded. To confirm capture, listen for the payout_transaction_approvedcaptured webhook event.

Authentication

requestTokenstring
API Key authentication via header

Headers

idempotencyKeystringOptional

Optional but recommended A unique ID that you can include to prevent duplicating objects or transactions in the case that a request is sent more than once. This key isn’t generated in Payabli, you must generate it yourself. This key persists for 2 minutes. After 2 minutes, you can reuse the key if needed.

Query parameters

allowDuplicatedBillsbooleanOptionalDefaults to false

When true, the authorization bypasses the requirement for unique bills, identified by vendor invoice number. This allows you to make more than one payout authorization for a bill, like a split payment.

doNotCreateBillsbooleanOptionalDefaults to false

When true, Payabli won’t automatically create a bill for this payout transaction.

forceVendorCreationbooleanOptionalDefaults to false

When true, the request creates a new vendor record, regardless of whether the vendor already exists.

Request

This endpoint expects an object.
entryPointstringRequired<=50 characters
The entrypoint identifier.
paymentMethodobjectRequired

Payment method object for vendor payouts.

  • { method: "managed" } - Managed payment method
  • { method: "vcard" } - Virtual card payment method
  • { method: "check" } - Check payment method
  • { method: "ach", achHolder: "...", achRouting: "...", achAccount: "...", achAccountType: "..." } - ACH payment method with bank details
  • { method: "ach", storedMethodId: "..." } - ACH payment method using stored method ID
paymentDetailsobjectRequired
Object containing payment details.
vendorDataobjectRequired
Object containing vendor data.
invoiceDatalist of objectsRequired
Array of bills associated to the transaction
sourcestringOptional<=100 characters
Custom identifier to indicate the transaction or request source.
orderIdstringOptional<=250 characters
Custom identifier for the transaction.
orderDescriptionstringOptional<=250 characters
Text description of the transaction.
accountIdstringOptional
Custom identifier for payment connector.
subdomainstringOptional<=50 characters
Refers to the payment page identifier. If provided, then the transaction is linked to the payment page.
subscriptionIdlongOptional
Payabli identifier of the subscription associated with the transaction.
autoCapturebooleanOptional

When true, Payabli captures the transaction asynchronously after a successful authorization. The authorization request returns once the transaction is authorized; capture happens later, and the response doesn’t confirm capture. To confirm capture succeeded, listen for the payout_transaction_approvedcaptured webhook event.

When false, you must manually capture the transaction after a successful authorization. Defaults to false.

See Manage payouts with the API for more information.

Response

Success
responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring or null
Auxiliary validation used internally by payment pages and components.
roomIdlong

Field not in use on this endpoint. It always returns 0.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error